Bug 239902 - devel/ghidra: Update to 9.1
Summary: devel/ghidra: Update to 9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://people.freebsd.org/~pi/logs/g...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-16 10:07 UTC by Tobias Kortkamp
Modified: 2019-11-20 12:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sghctoma)


Attachments
Ghidra 9.1 port (27.50 KB, text/plain)
2019-11-07 11:08 UTC, Tamas Szakaly
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-08-16 10:07:06 UTC
FAILURE: Build failed with an exception.

* Where:
Build file '/wrkdirs/usr/ports/devel/ghidra/work/ghidra-Ghidra_9.0.4_build/build.gradle' line: 10

* What went wrong:
A problem occurred evaluating root project 'ghidra-Ghidra_9.0.4_build'.
> Requires Gradle 5.0, but was run with 5.6

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 3s
*** Error code 1

https://people.freebsd.org/~pi/logs/ghidra-9.0.4.log
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-16 11:05:46 UTC
 https://gitee.com/mirrors/Ghidra/raw/master/DevGuide.md
-->
* Gradle 5.0 or later - We use version 5.0, and tested with up to 5.5.1.

Seems only have to change:
work/ghidra-Ghidra_9.0.4_build/build.gradle

 9 if (gradle.gradleVersion != "5.0") {
     10         throw new GradleException("Requires Gradle 5.0, but was run with $gradle.gradleVersion")
     11 }
Comment 2 Tamas Szakaly 2019-11-07 11:08:42 UTC
Created attachment 208942 [details]
Ghidra 9.1 port

Hi all,
I was finally able to take a loot at this. The attached shar updates devel/ghidra to version 9.1, which implicitly resolves the Gradle version issue. The port is now also adapted to the new bsd.java.mk system.

The port now builds fine with Poudriere on 11.3-RELEASE-p4, 12.0-RELEASE-p11, 12.1-RELEASE and 13.0-CURRENT.

Cheers,
Toma
Comment 3 commit-hook freebsd_committer 2019-11-20 09:51:56 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 20 09:51:45 UTC 2019
New revision: 517997
URL: https://svnweb.freebsd.org/changeset/ports/517997

Log:
  Create devel/gradle5 in preparation of devel/gradle update

  Many consumers fail to build with newer Gradle versions.

  PR:		239875, 239900, 239901, 239902

Changes:
  head/biology/gatk/Makefile
  head/devel/Makefile
  head/devel/ghidra/Makefile
  head/devel/gradle5/
  head/devel/gradle5/Makefile
  head/devel/gradle5/pkg-plist
  head/misc/elki/Makefile
Comment 4 commit-hook freebsd_committer 2019-11-20 11:49:07 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 20 11:49:04 UTC 2019
New revision: 518005
URL: https://svnweb.freebsd.org/changeset/ports/518005

Log:
  devel/ghidra: Update to 9.1

  - Now that openjdk11+ are registered in bsd.java.mk, drop the JDK11
    and JDK12 options

  Changes:	https://ghidra-sre.org/releaseNotes_9.1_final.html#9_1
  PR:		239902
  Submitted by:	Tamas Szakaly <sghctoma@gmail.com> (maintainer)

Changes:
  head/devel/ghidra/Makefile
  head/devel/ghidra/distinfo
  head/devel/ghidra/files/patch-GPL_CabExtract_build.gradle
  head/devel/ghidra/files/patch-GPL_DemanglerGnu_build.gradle
  head/devel/ghidra/files/patch-GPL_GnuDisassembler_buildGdis.gradle
  head/devel/ghidra/files/patch-GPL_build.gradle
  head/devel/ghidra/files/patch-GPL_gpl.gradle
  head/devel/ghidra/files/patch-GPL_nativeBuildProperties.gradle
  head/devel/ghidra/files/patch-GhidraBuild_Skeleton_certification.manifest
  head/devel/ghidra/files/patch-Ghidra_Features_Decompiler_build.gradle
  head/devel/ghidra/files/patch-Ghidra_Features_Decompiler_src_decompile_cpp_Makefile
  head/devel/ghidra/files/patch-Ghidra_Features_Decompiler_src_decompile_cpp_loadimage__bfd.hh
  head/devel/ghidra/files/patch-Ghidra_Features_Decompiler_src_decompile_cpp_types.h
  head/devel/ghidra/files/patch-Ghidra_Features_FunctionID_build.gradle
  head/devel/ghidra/files/patch-Ghidra_Framework_Generic_src_main_java_ghidra_framework_Platform.java
  head/devel/ghidra/files/patch-Ghidra_Framework_Utility_src_main_java_ghidra_framework_OperatingSystem.java
  head/devel/ghidra/files/patch-Ghidra_RuntimeScripts_Linux_support_launch.sh
  head/devel/ghidra/files/patch-Ghidra_RuntimeScripts_build.gradle
  head/devel/ghidra/files/patch-README.txt
  head/devel/ghidra/files/patch-build.gradle
  head/devel/ghidra/files/patch-gradleScripts_distribution.gradle
  head/devel/ghidra/files/patch-gradleScripts_ip.gradle
  head/devel/ghidra/files/patch-gradle_root_distribution.gradle
  head/devel/ghidra/files/patch-gradle_support_ip.gradle
Comment 5 Tobias Kortkamp freebsd_committer 2019-11-20 11:49:42 UTC
(In reply to Tamas Szakaly from comment #2)
Thanks but this really should have been a unified diff instead of a shar.
Especially since some patches have been deleted which is not particularly
clear after unpacking the shar.  :-(

Please submit a unified diff for port updates next time.

devel/gradle is now at 6.0.1 and it does not build with that version either,
so I will leave the build dep at Gradle 5.0 for now which seems to be working
fine.

Anyway, committed the update. Thanks!
Comment 6 Tamas Szakaly 2019-11-20 12:14:49 UTC
(In reply to Tobias Kortkamp from comment #5)

Sure, next updates will be unified diffs. Sorry for the hassle this time.
I'll look into the Gradle 6 issue during the next update.
Thanks for the commit!